Summary:	Berkeley LOGO interpreter
Summary(pl.UTF-8):	Interpreter Berkeley LOGO
Name:		ucblogo
Version:	6.2.4
Release:	1
License:	GPL v2+
Group:		Development/Languages
Source0:	https://github.com/jrincayc/ucblogo-code/releases/download/version_%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	d7fb4d409be5349199e0ce377902f233
URL:		http://www.cs.berkeley.edu/~bh/logo.html
BuildRequires:	ncurses-devel
BuildRequires:	wxGTK3-unicode-devel
BuildRequires:	xorg-lib-libX11-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Berkeley Logo interpreter for Unix and X. Features *not* found in
Berkeley Logo include robotics, music, GUIs, animation, parallelism,
and multimedia. For those, buy a commercial version.

%description -l pl.UTF-8
Interpreter Berkeley Logo dla Unika i X. Możliwości, których nie ma
Berkeley Logo to m.in. robotyka, muzyka, GUI, animacje, równoległość,
multimedia. Dla nich kup komercyjną wersję.

%package examples
Summary:	Example LOGO programs for the Berkeley LOGO interpreter
Summary(pl.UTF-8):	Przykłady programów w LOGO dla interpretera Berkeley LOGO
Group:		Development/Languages
Requires:	%{name}

%description examples
This package contains example LOGO programs, eg solitaire, poker, plot
and many others.

%description examples -l pl.UTF-8
Ten pakiet zawiera przykładowe programy w LOGO, m.in. pasjans, poker,
plot i wiele innych.

%prep
%setup -q

%build
%configure \
	--enable-x11 \
	--with-wx-configh=%{_bindir}/wx-gtk3-unicode-config

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
cp -p csls/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%{__rm} -r $RPM_BUILD_ROOT%{_docdir}/ucblogo

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%postun	-p /sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%files
%defattr(644,root,root,755)
%doc README.md TODO changes.txt newtermnotes plm usermanual
%doc docs/ucblogo.pdf
%attr(755,root,root) %{_bindir}/ucblogo
%{_infodir}/ucblogo.info*
%{_datadir}/ucblogo
%{_desktopdir}/ucblogo.desktop
%{_iconsdir}/hicolor/*x*/apps/ucblogo.png
%{_mandir}/man1/ucblogo.1*
%{_pixmapsdir}/ucblogo.xpm

%files examples
%defattr(644,root,root,755)
%{_examplesdir}/%{name}-%{version}
%changelog
* Fri Sep 29 2023 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/ucblogo.git;a=log;h=master

* Fri Sep 29 2023 Jan Rękorajski <baggins@pld-linux.org> 1ac4010
- up to 6.2.4

* Sat Jan 18 2014 Jan Rękorajski <baggins@pld-linux.org> 4ffabd4
- fix build with wzWidgets 3.0
- rel 3

* Wed Jan 15 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> ba1693c
- wxWidgets rebuild
- release 2 (by relup.sh)

* Sun May 19 2013 Jakub Bogusz <qboosh@pld-linux.org> 173b5aa
- added lp64 patch (fixes build on LP64 platforms, like x86_64)

* Thu May 16 2013 Jakub Bogusz <qboosh@pld-linux.org> e3057e6
- updated to 6.0
- updated make patch
- added wx patch (fixes build with unicode wxWidgets)

* Wed Feb 02 2011 sparky <sparky@pld-linux.org> 7719d61
- package only info files from %{_infodir} (do not package %{_infodir}/dir)

* Thu Jan 24 2008 Elan Ruusamäe <glen@pld-linux.org> d0a3a73
- invoke fix-info-dir via /sbin/postshell where possible to avoid extra /bin/sh dep

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> ab30955
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> f4208b8
- converted to UTF-8

* Fri Dec 17 2004 darekr <darekr@pld-linux.org> 51f42e0
- sorted BRs

* Mon Dec 13 2004 Roman Werpachowski <roman.werpachowski@gmail.com> 33efce9
- revert makeinstall change

* Sun Dec 12 2004 Roman Werpachowski <roman.werpachowski@gmail.com> c3b5793
- -s/%{__make} install/%{makeinstall}

* Tue Dec 23 2003 misi3k <misi3k@pld-linux.org> 68221ec
- updated to 5.3

* Wed May 28 2003 Michal Moskal <michal@moskal.me> afaafbf
- massive attack: source-md5

* Sun May 25 2003 misi3k <misi3k@pld-linux.org> 9135a2a
- massive attack s/pld.org.pl/pld-linux.org/

* Tue Dec 10 2002 Roman Werpachowski <roman.werpachowski@gmail.com> bc9c86f
- updated to 5.2 version
- added emacs to BuildRequires:
- added %%doc section
STBR

* Tue Dec 10 2002 Roman Werpachowski <roman.werpachowski@gmail.com> 38619a2
- finally, works!

* Tue Dec 10 2002 Roman Werpachowski <roman.werpachowski@gmail.com> 1d69685
- small fix

* Tue Dec 10 2002 Roman Werpachowski <roman.werpachowski@gmail.com> d79bfac
- updated to 5.2 version
- made emacs/makefile FHS correct (hopefully)

* Wed May 22 2002 kloczek <kloczek@pld-linux.org> 98149b7
- perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

